//
//  DisplayLinkProxy.swift
//  SwiftProject
//
//  Created by aaa on 2024/4/30.
//

import Foundation
class DisplayLinkProxy: NSObject {
    // 弱指针
    weak var target: NSObject?
    
    class func with(target: NSObject) -> DisplayLinkProxy {
        let proxy = DisplayLinkProxy()
        proxy.target = target
        return proxy;
    }
    
    /// 重点：消息转发机制
    override func forwardingTarget(for aSelector: Selector!) -> Any? {
        return target
    }
}
